org.apache.olingo.commons.api.data

## Class Delta

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject
    - - org.apache.olingo.commons.api.data.AbstractEntityCollection
      - - org.apache.olingo.commons.api.data.EntityCollection
        - - org.apache.olingo.commons.api.data.Delta

- All Implemented Interfaces:
    Iterable<Entity>

      public class Delta
      extends EntityCollection

  A Delta instance contains all added and deleted links and all deleted entities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Delta()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<DeltaLink>` | `getAddedLinks()` Get list of added links (must not be NULL).
    `List<DeletedEntity>` | `getDeletedEntities()` Get list of deleted entities (must not be NULL).
    `List<DeltaLink>` | `getDeletedLinks()` Get list of deleted links (must not be NULL).
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.EntityCollection

      `getCount, getDeltaLink, getEntities, getNext, getOperations, iterator, setCount, setDeltaLink, setNext, toString`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.AbstractODataObject

      `getBaseURI, getId, getTitle, setBaseURI, setCommonProperty, setId`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### Delta

          public Delta()

  - ### Method Detail

    - #### getDeletedEntities

          public List<DeletedEntity> getDeletedEntities()

      Get list of deleted entities (must not be NULL).
      Returns:
        list of deleted entities (must not be NULL)

    - #### getAddedLinks

          public List<DeltaLink> getAddedLinks()

      Get list of added links (must not be NULL).
      Returns:
        list of added links (must not be NULL)

    - #### getDeletedLinks

          public List<DeltaLink> getDeletedLinks()

      Get list of deleted links (must not be NULL).
      Returns:
        list of deleted links (must not be NULL)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `EntityCollection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `EntityCollection`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.